﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace RenrenImportProcess
{
    public class RenrenLoginExceptions : Exception
    {
        public RenrenLoginExceptions() { }
        public RenrenLoginExceptions(string message)
            : base(message)
        {
            RecordError(message);
        }
        public RenrenLoginExceptions(string message, Exception inner)
            : base(message, inner)
        {
            RecordError(message);
            RecordError(inner.Message);
        }
        public RenrenLoginExceptions(string message, string addation)
            : base(message)
        {
            RecordError(addation);
            //RecordError(inner.Message);
        }
        protected RenrenLoginExceptions(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
            : base(info, context)
        {

        }

        protected void RecordError(string message)
        {
            //寫入事件撿視器,方法一  
            //System.Diagnostics.EventLog.WriteEntry("RenrenLogin", Message, System.Diagnostics.EventLogEntryType.Error);
            //寫入文字檔,方法二  
            System.IO.File.AppendAllText(Path.Combine(AppDomain.CurrentDomain.BaseDirectory, @"App_Data/error123.txt"),
                string.Format("\r\n\r\n{0}  {1}", DateTime.Now.ToString(), message)
                );
        }
    }
}
